 /*
 * Copyright (c) 2024 Markus Lehr.
 * 
 *
 * SPDX-License-Identifier: Owend property of Markus Lehr
 * 
 */

#ifndef RTS_INCLUDE_VIBSENSORDESC_H_
#define RTS_INCLUDE_VIBSENSORDESC_H_

#include <ISensorDesc.h>
#include <IChannelDesc.h>
#include <string>
#include <list>
#include <json.hpp>

using json = nlohmann::json;


class VibSensorDesc: public ISensorDesc
{
private:

   std::list<std::shared_ptr<IChannelDesc>> mDescriptions;

public:

   VibSensorDesc();

   virtual int GetDescription() override;
   virtual bool Add2Json(json& j) override; 
};


#endif /* RTS_INCLUDE_VIBSENSORDESC_H_ */